{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"An existing allocation can be updated by making a PUT request on the URL for\nthat allocation. Only the fields provided in the `data` block will be updated;\nany unspecified fields will remain unchanged.\n\nReturns the complete updated allocation record.","properties":{"path":{"type":"object","properties":{"allocation_gid":{"type":"string","examples":["77688"],"description":"Globally unique identifier for the allocation."}},"required":["allocation_gid"],"additionalProperties":false},"query":{"type":"object","properties":{"opt_pretty":{"type":"boolean","examples":[true],"description":"Provides “pretty” output.\nProvides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."},"opt_fields":{"type":"array","items":{"type":"string","enum":["assignee","assignee.name","created_by","created_by.name","effort","effort.type","effort.value","end_date","parent","parent.name","parent.resource_subtype","resource_subtype","start_date"]},"examples":[["assignee","assignee.name","created_by","created_by.name","effort","effort.type","effort.value","end_date","parent","parent.name","parent.resource_subtype","resource_subtype","start_date"]],"description":"This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. Properties can include nested fields. To learn more, see the [input/output options guide](/docs/inputoutput-options#selecting-nested-fields)."}},"required":[],"additionalProperties":false},"body":{"type":"object","properties":{"data":{"$ref":"#/definitions/AllocationRequest"}}}},"required":["path","body"],"additionalProperties":false,"definitions":{"AllocationRequest":{"allOf":[{"$ref":"#/definitions/AllocationBase"},{"type":"object","properties":{"assignee":{"type":"string","description":"Globally unique identifier for the user or placeholder assigned to the allocation."},"parent":{"type":"string","description":"Globally unique identifier for the project the allocation is on."}}}]},"AllocationBase":{"description":"A generic Asana Resource, containing a globally unique identifier.","type":"object","properties":{"start_date":{"type":"string","format":"date","description":"The localized day on which the allocation starts.","examples":["2024-02-28"]},"end_date":{"type":"string","format":"date","description":"The localized day on which the allocation ends.","examples":["2024-02-28"]},"effort":{"type":["object","null"],"description":"The amount of time associated with the allocation, represented as a percentage or number of hours.","properties":{"type":{"type":"string","description":"The units used for tracking effort on an allocation, either \"hours\" or \"percent\".","enum":["hours","percent"]},"value":{"type":"number","description":"The numeric effort value on the allocation.","examples":[50]}}}}}}},"name":"Update an allocation","id":"asana.updateallocation","example":{"path":{"allocation_gid":"77688"},"body":{}},"maxRequests":1,"summary":false}}